<?php
/**
 *  UltraGym Pro: Color Patterns
 *
 * @package WordPress
 * @subpackage  UltraGym Pro
 * @since 1.0
 */

/**
 * Generate the CSS for the current custom color scheme.
 */
function ultragym_pro_custom_colors_css() {
  	$options= ultragym_pro_get_theme_options();

	$color_value = $options['colorscheme_hue'];
	
	$css = '
	/*--------------------------------------------------------------
	# Background Color
	--------------------------------------------------------------*/
	.featured-content-wrapper .btn:hover,
	.section-subtitle:after,
	.btn:hover, 
	.btn:focus,
	.slick-dots li.slick-active button,
	.jetpack_subscription_widget button[type="submit"],
	.pagination .page-numbers, 
	.pagination .page-numbers.dots:hover, 
	.pagination .page-numbers.dots:focus, 
	.pagination .page-numbers.prev, 
	.pagination .page-numbers.next,
	.reply a:hover, 
	.reply a:focus,
	input[type="submit"]:hover, 
	input[type="submit"]:focus,
	form.search-form button.search-submit,
	.video-button,
	#contact input[type="submit"]:hover,
	.second-design .btn:hover, 
	.second-design .btn:focus,
	.second-design #contact input[type="submit"]:hover,
	.third-design .featured-content-wrapper .btn,
	#counter .overlay,
	.third-design .video-button,
	.third-design .testimonial-slider .slick-prev, 
	.third-design .testimonial-slider .slick-next,
	.third-design #colophon,
	.fourth-design .btn,
	.fourth-design .service-icon, .fifth-design .service-icon,
	.fourth-design #counter .overlay,
	.fourth-design .team-wrapper article:hover .entry-container, 
	.fourth-design .video-button,
	.fourth-design .testimonial-slider .slick-prev, 
	.fourth-design .testimonial-slider .slick-next,
	.fourth-design #colophon,
	.fifth-design .btn,
	.fifth-design #featured-slider .slick-prev, 
	.fifth-design #featured-slider .slick-next, 
	.sixth-design #featured-slider .slick-prev, 
	.sixth-design #featured-slider .slick-next,
	.fifth-design .team-wrapper article:hover .entry-container, 
	.fifth-design .video-button,
	.fifth-design #colophon,
	.sixth-design .btn,
	.backtotop:hover,
	.backtotop:focus {
	    background-color: ' . esc_attr( $color_value ) . ';
	}

	/*--------------------------------------------------------------
	# Text Color
	--------------------------------------------------------------*/
	a:hover, 
	a:focus, 
	a:active,
	.site-title a:hover,
	.main-navigation ul#primary-menu li.current-menu-item > a, 
	.main-navigation ul#primary-menu li:hover > a, 
	.main-navigation ul#primary-menu li:focus > a,
	.main-navigation a:hover, 
	.main-navigation ul.nav-menu > li > a:hover,
	.featured-content-wrapper .entry-title a:hover, 
	.featured-content-wrapper .entry-title a:focus,
	.section-subtitle,
	.archive-blog-wrapper .entry-title a:hover,
	.posted-on a:hover, 
	.byline:hover, 
	.byline a:hover,
	#colophon a:hover,
	#colophon a:focus,
	.second-design .entry-title a:hover,
	.second-design #contact .widget.widget_contact_info ul li a:hover,
	.second-design .archive-blog-wrapper .post-categories a:hover, 
	.second-design .archive-blog-wrapper .posted-on a:hover, 
	.second-design .byline a:hover,
	.second-design .archive-blog-wrapper .entry-title a:hover, 
	.second-design .more-link a:hover,
	.trail-items li a:hover, 
	.trail-items li a:focus,
	#secondary .cat-links a, 
	#secondary a:hover, 
	#secondary a:focus,
	.single-wrapper .entry-meta > span a:hover, 
	.single-wrapper .entry-meta > span a:focus,
	.single-wrapper .entry-meta span a:hover, 
	.single-wrapper .entry-meta span a:focus, 
	.single-wrapper .cat-links a, 
	.single-wrapper .entry-meta span.byline a.fn:hover, 
	.single-wrapper .entry-meta span.byline a.fn:focus,
	.navigation.post-navigation a:hover, 
	.navigation.posts-navigation a:hover, 
	.navigation.post-navigation a:focus, 
	.navigation.posts-navigation a:focus,
	.comment-meta .url:hover, 
	.comment-meta .url:focus,
	.third-design .section-subtitle,
	.third-design .service-item-wrapper .entry-title a:hover,
	.third-design .post-categories li a:hover, 
	.blog-wrapper .entry-title a:hover, 
	.blog-wrapper .posted-on a:hover, 
	.blog-wrapper .byline:hover, 
	.blog-wrapper .byline a:hover,
	.fourth-design .section-subtitle, 
	.fourth-design .service-item-wrapper .entry-title a:hover,
	.fourth-design .post-categories li a:hover, 
	.fourth-design .blog-wrapper .entry-title a:hover, 
	.fourth-design .blog-wrapper .posted-on a:hover, 
	.fourth-design .blog-wrapper .byline:hover, 
	.fourth-design .blog-wrapper .byline a:hover,
	.fifth-design .section-subtitle, 
	.fifth-design .service-item-wrapper .entry-title a:hover,
	.fifth-design .post-categories li a:hover, 
	.fifth-design .blog-wrapper .entry-title a:hover, 
	.fifth-design .blog-wrapper .posted-on a:hover, 
	.fifth-design .blog-wrapper .byline:hover, 
	.fifth-design .blog-wrapper .byline a:hover,
	#blog-featured-posts .entry-title a:hover, 
	#blog-featured-posts .entry-title a:focus,
	#blog-latest-posts .cat-links a,
	.main-navigation ul.nav-menu > .focus > a,
	.default-design #blog .entry-title a:hover,
	.default-design #blog .entry-title a:focus,
	#colophon .site-info a:hover, 
	#colophon .site-info a:focus,
	.sixth-design .section-subtitle, 
	.sixth-design .service-item-wrapper .entry-title a:hover {
		color: ' . esc_attr( $color_value ) . ';
	}

	.main-navigation ul#primary-menu li:hover > svg, 
	.main-navigation ul#primary-menu li:focus > svg, 
	.main-navigation li.menu-item-has-children:hover > a > svg, 
	.main-navigation li.menu-item-has-children > a:hover > svg, 
	.main-navigation li.menu-item-has-children > a:focus > svg, 
	.main-navigation ul#primary-menu > li.current-menu-item > a > svg,
	.navigation.post-navigation a:hover svg, 
	.navigation.posts-navigation a:hover svg, 
	.navigation.post-navigation a:focus svg, 
	.navigation.posts-navigation a:focus svg,
	.third-design .service-icon svg,
	.main-navigation ul.nav-menu > .focus a  svg {
		fill: ' . esc_attr( $color_value ) . ';
	}

	/*--------------------------------------------------------------
	# Border Color
	--------------------------------------------------------------*/

	.featured-content-wrapper .btn,
	.more-link,
	.btn,
	.slick-dots li button,
	.pagination .page-numbers, 
	.pagination .page-numbers.dots:hover, 
	.pagination .page-numbers.dots:focus, 
	.pagination .page-numbers.prev, 
	.pagination .page-numbers.next,
	.second-design .btn:hover, 
	.second-design .btn:focus,
	.reply a:hover, 
	.reply a:focus {
		border-color: ' . esc_attr( $color_value ) . ';
	}

	#colophon a:hover, 
	#colophon a:focus,
	.third-design #colophon a:hover, 
	.third-design #colophon a:focus,
	.fourth-design #colophon a:hover, 
	.fourth-design #colophon a:focus {
	    color: #fff;
	}

	/*--------------------------------------------------------------
	# Responsive Color
	--------------------------------------------------------------*/
	@media screen and (min-width: 1024px) {
		.main-navigation ul#primary-menu ul li.current-menu-item > a, 
		.main-navigation ul#primary-menu ul li:hover > a,
		.main-navigation ul#primary-menu ul li:focus > a {
			color: ' . esc_attr( $color_value ) . ';
		}
		.main-navigation ul#primary-menu li.current-menu-item > a:after, 
		.main-navigation ul#primary-menu > li:hover > a:after {
			background-color: ' . esc_attr( $color_value ) . ';
		}
	}


	/*--------------------------------------------------------------
	# Preloader
	--------------------------------------------------------------*/

	@keyframes preloader {
	    0% {height:5px;transform:translateY(0px);background: ' . esc_attr( $color_value ) . ';}
	    25% {height:30px;transform:translateY(15px);background: ' . esc_attr( $color_value ) . ';}
	    50% {height:5px;transform:translateY(0px);background: ' . esc_attr( $color_value ) . ';}
	    100% {height:5px;transform:translateY(0px);background: ' . esc_attr( $color_value ) . ';}
	}';

	/**
	 * Filters  UltraGym Pro custom colors CSS.
	 *
	 * @since  UltraGym Pro 1.0.0
	 *
	 * @param string $css        Base theme colors CSS.
	 */
	return apply_filters( 'ultragym_pro_custom_colors_css', $css );
}
