<?php
/**
 * Footer options
 *
 * @package Theme Palace
 * @subpackage  UltraGym Pro
 * @since  UltraGym Pro 1.0.0
 */

// Footer Section
$wp_customize->add_section( 'ultragym_pro_section_footer',
	array(
		'title'      			=> esc_html__( 'Footer Options', 'ultra-gym-pro' ),
		'priority'   			=> 900,
		'panel'      			=> 'ultragym_pro_theme_options_panel',
	)
);

// footer text
$wp_customize->add_setting( 'ultragym_pro_theme_options[copyright_text]',
	array(
		'default'       		=> $options['copyright_text'],
		'sanitize_callback'		=> 'ultragym_pro_santize_allow_tag',
		'transport'				=> 'postMessage',
	)
);

$wp_customize->add_control( 'ultragym_pro_theme_options[copyright_text]',
    array(
		'label'      			=> esc_html__( 'Copyright Text', 'ultra-gym-pro' ),
		'section'    			=> 'ultragym_pro_section_footer',
		'type'		 			=> 'textarea',
    )
);

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'ultragym_pro_theme_options[copyright_text]', array(
		'selector'            => '.site-info .wrapper',
		'settings'            => 'ultragym_pro_theme_options[copyright_text]',
		'container_inclusive' => false,
		'fallback_refresh'    => true,
		'render_callback'     => 'ultragym_pro_copyright_text_partial',
    ) );
}

// scroll top visible
$wp_customize->add_setting( 'ultragym_pro_theme_options[scroll_top_visible]',
	array(
		'default'       	=> $options['scroll_top_visible'],
		'sanitize_callback' => 'ultragym_pro_sanitize_switch_control',
	)
);
$wp_customize->add_control( new  UltraGym_Pro_Switch_Control( $wp_customize, 'ultragym_pro_theme_options[scroll_top_visible]',
    array(
		'label'      		=> esc_html__( 'Display Scroll Top Button', 'ultra-gym-pro' ),
		'section'    		=> 'ultragym_pro_section_footer',
		'on_off_label' 		=> ultragym_pro_switch_options(),
    )
) );

// scroll top visible
$wp_customize->add_setting( 'ultragym_pro_theme_options[footer_scoial_menu]',
	array(
		'default'       	=> $options['footer_scoial_menu'],
		'sanitize_callback' => 'ultragym_pro_sanitize_switch_control',
	)
);
$wp_customize->add_control( new  UltraGym_Pro_Switch_Control( $wp_customize, 'ultragym_pro_theme_options[footer_scoial_menu]',
    array(
		'label'      		=> esc_html__( 'Show Social Menu', 'ultra-gym-pro' ),
		'section'    		=> 'ultragym_pro_section_footer',
		'on_off_label' 		=> ultragym_pro_switch_options(),
    )
) );