<?php
/**
 * Layout options
 *
 * @package Theme Palace
 * @subpackage  UltraGym Pro
 * @since  UltraGym Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'ultragym_pro_layout', array(
	'title'               => esc_html__('Layout','ultra-gym-pro'),
	'description'         => esc_html__( 'Layout section options.', 'ultra-gym-pro' ),
	'panel'               => 'ultragym_pro_theme_options_panel',
) );

// Site layout setting and control.
$wp_customize->add_setting( 'ultragym_pro_theme_options[site_layout]', array(
	'sanitize_callback'   => 'ultragym_pro_sanitize_select',
	'default'             => $options['site_layout'],
) );

$wp_customize->add_control(  new  UltraGym_Pro_Custom_Radio_Image_Control ( $wp_customize, 'ultragym_pro_theme_options[site_layout]', array(
	'label'               => esc_html__( 'Site Layout', 'ultra-gym-pro' ),
	'section'             => 'ultragym_pro_layout',
	'choices'			  => ultragym_pro_site_layout(),
) ) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'ultragym_pro_theme_options[sidebar_position]', array(
	'sanitize_callback'   => 'ultragym_pro_sanitize_select',
	'default'             => $options['sidebar_position'],
) );

$wp_customize->add_control(  new  UltraGym_Pro_Custom_Radio_Image_Control ( $wp_customize, 'ultragym_pro_theme_options[sidebar_position]', array(
	'label'               => esc_html__( 'Global Sidebar Position', 'ultra-gym-pro' ),
	'section'             => 'ultragym_pro_layout',
	'choices'			  => ultragym_pro_global_sidebar_position(),
) ) );

// Post sidebar position setting and control.
$wp_customize->add_setting( 'ultragym_pro_theme_options[post_sidebar_position]', array(
	'sanitize_callback'   => 'ultragym_pro_sanitize_select',
	'default'             => $options['post_sidebar_position'],
) );

$wp_customize->add_control(  new  UltraGym_Pro_Custom_Radio_Image_Control ( $wp_customize, 'ultragym_pro_theme_options[post_sidebar_position]', array(
	'label'               => esc_html__( 'Posts Sidebar Position', 'ultra-gym-pro' ),
	'section'             => 'ultragym_pro_layout',
	'choices'			  => ultragym_pro_sidebar_position(),
) ) );

// Post sidebar position setting and control.
$wp_customize->add_setting( 'ultragym_pro_theme_options[page_sidebar_position]', array(
	'sanitize_callback'   => 'ultragym_pro_sanitize_select',
	'default'             => $options['page_sidebar_position'],
) );

$wp_customize->add_control( new  UltraGym_Pro_Custom_Radio_Image_Control( $wp_customize, 'ultragym_pro_theme_options[page_sidebar_position]', array(
	'label'               => esc_html__( 'Pages Sidebar Position', 'ultra-gym-pro' ),
	'section'             => 'ultragym_pro_layout',
	'choices'			  => ultragym_pro_sidebar_position(),
) ) );