<?php
/**
 * Loader options
 *
 * @package Theme Palace
 * @subpackage  UltraGym Pro
 * @since  UltraGym Pro 1.0.0
 */

$wp_customize->add_section( 'ultragym_pro_loader', array(
	'title'            	=> esc_html__( 'Loader','ultra-gym-pro' ),
	'description'      	=> esc_html__( 'Loader section options.', 'ultra-gym-pro' ),
	'panel'            	=> 'ultragym_pro_theme_options_panel',
) );

// Loader enable setting and control.
$wp_customize->add_setting( 'ultragym_pro_theme_options[loader_enable]', array(
	'sanitize_callback' => 'ultragym_pro_sanitize_switch_control',
	'default'           => $options['loader_enable'],
) );

$wp_customize->add_control(  new  UltraGym_Pro_Switch_Control( $wp_customize, 'ultragym_pro_theme_options[loader_enable]', array(
	'label'            	=> esc_html__( 'Enable loader', 'ultra-gym-pro' ),
	'section'          	=> 'ultragym_pro_loader',
	'on_off_label' 		=> ultragym_pro_switch_options(),
) ) );

// Loader icons setting and control.
$wp_customize->add_setting( 'ultragym_pro_theme_options[loader_icon]', array(
	'sanitize_callback' => 'ultragym_pro_sanitize_select',
	'default'			=> $options['loader_icon'],
) );

$wp_customize->add_control( 'ultragym_pro_theme_options[loader_icon]', array(
	'label'           	=> esc_html__( 'Icon', 'ultra-gym-pro' ),
	'section'         	=> 'ultragym_pro_loader',
	'type'				=> 'select',
	'choices'			=> ultragym_pro_get_spinner_list(),
	'active_callback' 	=> 'ultragym_pro_is_loader_enable',
) );
