<?php
/**
 * Menu options
 *
 * @package Theme Palace
 * @subpackage  UltraGym Pro
 * @since  UltraGym Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'ultragym_pro_menu', array(
	'title'             => esc_html__('Header Menu','ultra-gym-pro'),
	'description'       => esc_html__( 'Header Menu options.', 'ultra-gym-pro' ),
	'panel'             => 'nav_menus',
) );

// Menu sticky setting and control.
$wp_customize->add_setting( 'ultragym_pro_theme_options[menu_sticky]', array(
	'sanitize_callback' => 'ultragym_pro_sanitize_switch_control',
	'default'           => $options['menu_sticky'],
) );

$wp_customize->add_control( new  UltraGym_Pro_Switch_Control( $wp_customize, 'ultragym_pro_theme_options[menu_sticky]', array(
	'label'             => esc_html__( 'Make Menu Sticky', 'ultra-gym-pro' ),
	'section'           => 'ultragym_pro_menu',
	'on_off_label' 		=> ultragym_pro_switch_options(),
) ) );

$wp_customize->add_setting( 'ultragym_pro_theme_options[admin_avatar]', array(
	'sanitize_callback' => 'ultragym_pro_sanitize_switch_control',
	'default'           => $options['admin_avatar'],
) );

$wp_customize->add_control( new  UltraGym_Pro_Switch_Control( $wp_customize, 'ultragym_pro_theme_options[admin_avatar]', array(
	'label'             => esc_html__( 'Show Admin Avatar', 'ultra-gym-pro' ),
	'section'           => 'ultragym_pro_menu',
	'on_off_label' 		=> ultragym_pro_switch_options(),
) ) );

