<?php
/**
 * Section Sortable options
 *
 * @package Theme Palace
 * @subpackage  UltraGym Pro
 * @since  UltraGym Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'ultragym_pro_sortable', array(
	'title'               => esc_html__('Homepage Sortable','ultra-gym-pro'),
	'description'         => esc_html__( 'Homepage Sortable options.', 'ultra-gym-pro' ),
	'panel'               => 'ultragym_pro_theme_options_panel',
) );



foreach ( array( 'pro', 'default', 'second', 'third', 'fourth', 'fifth', 'sixth' ) as $list) {
	// Site layout setting and control.
	$wp_customize->add_setting( 'ultragym_pro_theme_options['.$list.'_sortable]', array(
		'default'			  => $options[$list.'_sortable'],
		'sanitize_callback'   => 'ultragym_pro_sanitize_sortable',
	) );

	$wp_customize->add_control( new UltraGym_Pro_Customize_Sortable_Control ( $wp_customize, 'ultragym_pro_theme_options['.$list.'_sortable]', array(
		'label'               => esc_html__( 'Sortable Homepage', 'ultra-gym-pro' ),
		'description'         => esc_html__( 'Drag and Drop to sort the sections according to your preference.', 'ultra-gym-pro' ),
		'section'             => 'ultragym_pro_sortable',
		'type'                => 'sortable',
		'choices'			  => ultragym_pro_sortable_sections(),
		'active_callback'	  => 'ultragym_pro_is_'.$list.'_layout'

	) ) );
}
