<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage  UltraGym Pro
* @since  UltraGym Pro 1.0.0
*/
if ( ! function_exists( 'ultragym_pro_validate_service_posts_count' ) ) :
    function ultragym_pro_validate_service_posts_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'ultra-gym-pro' ) );
       } elseif ( $value < 3 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'ultra-gym-pro' ) );
       } elseif ( $value > 6 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 6', 'ultra-gym-pro' ) );
       }
       return $validity;
    }
  endif;
if ( ! function_exists( 'ultragym_pro_validate_long_excerpt' ) ) :
    function ultragym_pro_validate_long_excerpt( $validity, $value ){
        $value = intval( $value );
        if ( empty( $value ) || ! is_numeric( $value ) ) {
            $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'ultra-gym-pro' ) );
        } elseif ( $value < 5 ) {
            $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'ultra-gym-pro' ) );
        } elseif ( $value > 100 ) {
            $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'ultra-gym-pro' ) );
        }
        return $validity;
    }
endif;

if ( ! function_exists( 'ultragym_pro_validate_slider_count' ) ) :
  function ultragym_pro_validate_slider_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'ultra-gym-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'ultra-gym-pro' ) );
     } elseif ( $value > 5 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 5', 'ultra-gym-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'ultragym_pro_validate_blog_count' ) ) :
  function ultragym_pro_validate_blog_count( $validity, $value ){
         $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'ultra-gym-pro' ) );
     } elseif ( $value < 3 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'ultra-gym-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'ultra-gym-pro' ) );
     }
     return $validity;
  }
endif;

if ( ! function_exists( 'ultragym_pro_validate_team_count' ) ) :
    function ultragym_pro_validate_team_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'ultra-gym-pro' ) );
       } elseif ( $value < 3 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'ultra-gym-pro' ) );
       } elseif ( $value > 12 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'ultra-gym-pro' ) );
       }
       return $validity;
    }
endif;

if ( ! function_exists( 'ultragym_pro_validate_counter_count' ) ) :
    function ultragym_pro_validate_counter_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'ultra-gym-pro' ) );
       } elseif ( $value < 4 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 4', 'ultra-gym-pro' ) );
       } elseif ( $value > 8 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'ultra-gym-pro' ) );
       }
       return $validity;
    }
  endif;

if ( ! function_exists( 'ultragym_pro_validate_features_post_count' ) ) :
    function ultragym_pro_validate_features_post_count( $validity, $value ){
           $value = intval( $value );
       if ( empty( $value ) || ! is_numeric( $value ) ) {
           $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'ultra-gym-pro' ) );
       } elseif ( $value < 3 ) {
           $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'ultra-gym-pro' ) );
       } elseif ( $value > 6 ) {
           $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 6', 'ultra-gym-pro' ) );
       }
       return $validity;
    }
endif;
